package com.seatel.mobilehall.ui.home.adapter

import android.view.LayoutInflater
import android.view.ViewGroup
import com.seatel.mobilehall.R
import com.seatel.mobilehall.databinding.LayoutBuySimSummaryItemBinding
import com.seatel.mobilehall.ui.base.adapter.BaseRecyclerAdapter
import com.seatel.mobilehall.ui.home.model.BuySimSummaryItemModel
import com.seatel.mobilehall.ui.home.viewholder.BaseViewHolder
import com.seatel.mobilehall.ui.home.viewholder.BuySimSummaryHolder

/**
 *
 *
 * @author Noel
 * @version
 * @created on 18-Oct-18
 */
class BuySimSummaryAdapter(mData: List<BuySimSummaryItemModel>) :
    BaseRecyclerAdapter<BuySimSummaryItemModel>(mData) {
    override fun onCreateViewHolder(
        parent: ViewGroup,
        viewType: Int
    ): BaseViewHolder<BuySimSummaryItemModel> {
        val binding = LayoutBuySimSummaryItemBinding.inflate(LayoutInflater.from(parent.context), parent, false)
        return BuySimSummaryHolder(binding)
    }
}